'****************************************************************
'*  Name    : UNTITLED.BAS                                      *
'*  Author  : [select VIEW...EDITOR OPTIONS]                    *
'*  Notice  : Copyright (c) 2009 [select VIEW...EDITOR OPTIONS] *
'*          : All Rights Reserved                               *
'*  Date    : 2009/04/14                                        *
'*  Version : 1.0                                               *
'*  Notes   :                                                   *
'*          :                                                   *
'****************************************************************
    Device=16F877
    Xtal=20
    Bootloader=On
    Config HS_OSC,WDT_OFF,PWRTE_ON,BODEN_OFF,LVP_OFF,CPD_OFF,DEBUG_OFF,CP_OFF,WRTE_OFF
 	        
    All_Digital=On
  
    Declare LCD_DTPort = PORTD       ' LCD's data lines
    Declare LCD_CS1Pin = PORTE.1     ' LCD's CS1 line
    Declare LCD_CS2Pin = PORTE.2     ' LCD's CS2 line
    Declare LCD_RSPin = PORTC.1      ' LCD's RS line
    Declare LCD_RWPin = PORTC.0      ' LCD's RW line
    Declare LCD_ENPin = PORTE.0      ' LCD's EN line
    Declare LCD_Type = Samsung       ' LCD type (Samsung KS0108)
    Declare Internal_Font = On       ' Use an internal (code memory) font
    Declare GLCD_CS_Invert On
    
    Cls
    DelayMS 300  
      
      
    SprintImageY ATWORK64,0,0,Invert
    Stop
    Include "font.inc"


' Samsung, Vertical Direction Byte - 128x64 Pixels - Data Bytes(1026)
' Graphical - 8 Pixels Per Byte
' SprintImage Yline,Xpos,ATWORK64
' SprintImageY ATWORK64,Yline,Xpos,Invert

ATWORK64: 
CData 8,128,_
      $20,$E0,$E0,$20,$20,$E0,$C0,$20,$E0,$E0,$20,$20,$E0,$C0,$00,$00,_
      $80,$C0,$60,$20,$20,$60,$C0,$80,$00,$60,$20,$E0,$E0,$20,$60,$00,_
      $80,$C0,$60,$20,$20,$60,$C0,$80,$00,$20,$E0,$60,$C0,$80,$20,$E0,_
      $20,$00,$00,$00,$00,$00,$80,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$80,$E0,$F8,$FC,$FE,$FE,$FE,_
      $FE,$FC,$F8,$E0,$80,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_ ' Y_Bytes 0
      $10,$1F,$1F,$12,$02,$03,$01,$10,$1F,$1F,$11,$07,$1E,$18,$10,$00,_
      $07,$0F,$18,$10,$10,$18,$0F,$07,$00,$00,$10,$1F,$1F,$10,$00,$00,_
      $07,$0F,$18,$10,$10,$18,$0F,$07,$00,$10,$1F,$10,$01,$03,$0E,$1F,_
      $00,$00,$00,$00,$02,$02,$0F,$02,$02,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$80,$E0,$F8,$FE,$FF,$FF,$7F,$1F,$07,$01,$01,_
      $07,$1F,$7F,$FF,$FF,$FE,$F8,$E0,$80,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_ ' Y_Bytes 1
      $04,$FC,$FC,$44,$44,$7C,$38,$04,$FC,$FC,$24,$E4,$DC,$18,$00,$00,_
      $F0,$F8,$0C,$04,$04,$0C,$F8,$F0,$00,$80,$80,$04,$FC,$FC,$04,$04,_
      $FC,$FC,$24,$74,$0C,$00,$F0,$F8,$0C,$04,$04,$08,$1C,$00,$0C,$04,_
      $FC,$FC,$04,$0C,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $00,$C0,$F0,$FC,$FF,$FF,$FF,$7F,$1F,$07,$01,$00,$00,$00,$00,$00,_
      $00,$00,$00,$01,$07,$1F,$7F,$FF,$FF,$FF,$F8,$F0,$C0,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_ ' Y_Bytes 2
      $02,$03,$03,$82,$80,$80,$00,$82,$03,$03,$02,$00,$03,$03,$02,$00,_
      $00,$01,$03,$02,$02,$03,$01,$00,$00,$01,$03,$02,$03,$81,$80,$02,_
      $03,$03,$02,$02,$03,$00,$00,$01,$03,$02,$02,$02,$01,$00,$00,$02,_
      $03,$03,$02,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$C0,$F0,$FC,_
      $FF,$FF,$FF,$7F,$1F,$07,$01,$00,$00,$3E,$7F,$7F,$FE,$FC,$E0,$E0,_
      $F0,$F0,$F0,$F0,$70,$F0,$F0,$C1,$07,$1F,$7F,$FF,$FF,$FF,$FC,$F0,_
      $C0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_ ' Y_Bytes 3
      $00,$1E,$3F,$61,$40,$50,$71,$33,$10,$44,$7C,$7C,$44,$0C,$38,$7C,_
      $44,$7C,$38,$04,$1C,$7C,$60,$1C,$7C,$60,$1C,$04,$44,$7D,$7D,$40,_
      $44,$7C,$7C,$04,$7C,$78,$40,$A8,$FC,$54,$5C,$CC,$C4,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$C0,$F0,$FC,$FF,$FF,$FF,$7F,_
      $1F,$07,$01,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$7F,$8F,_
      $FF,$FF,$FF,$FF,$FE,$F8,$FF,$FF,$00,$00,$00,$01,$07,$1F,$7F,$FF,_
      $FF,$FF,$FC,$F0,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_ ' Y_Bytes 4
      $10,$F0,$F0,$90,$80,$90,$F0,$F0,$10,$10,$F0,$F0,$90,$D0,$30,$10,_
      $F0,$F0,$90,$90,$70,$60,$00,$10,$F0,$F0,$90,$D0,$30,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$01,$01,$01,$01,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$C0,$F0,$FC,$FF,$FF,$FF,$3F,$1F,$07,$01,$00,_
      $80,$80,$80,$00,$00,$80,$C0,$60,$20,$30,$18,$08,$3F,$FF,$FF,$FF,_
      $0F,$07,$03,$07,$FF,$FF,$FF,$FF,$00,$00,$00,$00,$00,$00,$00,$01,_
      $07,$0F,$7F,$FF,$FF,$FF,$FC,$F0,$C0,$00,$00,$00,$00,$00,$00,$00,_ ' Y_Bytes 5
      $08,$0F,$0F,$08,$00,$08,$0F,$0F,$08,$08,$0F,$0F,$08,$09,$0C,$08,_
      $0F,$0F,$08,$03,$0F,$0C,$08,$08,$0F,$0F,$08,$09,$0C,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $80,$C0,$F0,$FC,$FF,$FF,$FF,$3F,$0F,$03,$00,$00,$E0,$F8,$FC,$FE,_
      $FF,$FF,$FF,$FF,$FE,$FC,$F0,$C0,$80,$80,$80,$80,$80,$83,$FF,$FF,_
      $FC,$00,$00,$80,$81,$FF,$FF,$FF,$80,$E0,$E0,$F0,$C0,$80,$00,$00,_
      $00,$00,$00,$00,$03,$0F,$3F,$FF,$FF,$FF,$FC,$F0,$C0,$00,$00,$00,_ ' Y_Bytes 6
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,_
      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$1E,_
      $7F,$FF,$FF,$FF,$FF,$FF,$FC,$FC,$FC,$FC,$FC,$FC,$FD,$FD,$FD,$FD,_
      $FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,_
      $FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FD,$FC,$FC,_
      $FC,$FC,$FC,$FC,$FC,$FC,$FC,$FC,$FF,$FF,$FF,$FF,$FF,$3F,$1C,$00   ' Y_Bytes 7
      




